Version (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class Version

    java.lang.Object
      org.neo4j.helpers.Service
          org.neo4j.kernel.Version

    public class Version

extends Service

Nested Class Summary

Nested classes/interfaces inherited from class org.neo4j.helpers.Service
`Service.CaseInsensitiveService, Service.Implementation`

Field Summary
`protected static String` | `KERNEL_ARTIFACT_ID`

Constructor Summary
`protected` | `Version(String atrifactId, String version)`

Method Summary
`static String` | `getKernelRevision()`
`String` | `getReleaseVersion()`
`String` | `getRevision()` Returns the build revision of the running neo4j kernel.
`String` | `getVersion()` Gets the version of the running neo4j kernel.
`String` | `toString()`

Methods inherited from class org.neo4j.helpers.Service
`load, load`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KERNEL_ARTIFACT_ID

    protected static final String KERNEL_ARTIFACT_ID

See Also:
  Constant Field Values

Constructor Detail

### Version

    protected Version(String atrifactId,
                      String version)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Service`

### getVersion

    public String getVersion()

  Gets the version of the running neo4j kernel.

  Returns:
    the version of the neo4j kernel

### getReleaseVersion

    public String getReleaseVersion()

### getRevision

    public String getRevision()

  Returns the build revision of the running neo4j kernel.

  Returns:
    build revision

### getKernelRevision

    public static String getKernelRevision()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.